#! /usr/bin/env python

import sys
l = len(sys.argv)

if (l == 2) and (sys.argv[1] != '-r'):
    reverse = False
    address = sys.argv[1]
elif (l == 3) and (sys.argv[1] == '-r'):
    reverse = True
    address = sys.argv[2]
else:
    print >>sys.stderr, 'Usage: %s [-r] name.domain' % sys.argv[0]
    sys.exit(1)

from m_lib.defenc import default_encoding

if reverse:
    print address.decode("idna").encode(default_encoding)
else:
    print unicode(address, default_encoding).encode("idna")
